# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:58:39 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Schedule
%define	pnam	Load
Summary:	Schedule::Load - Load distribution and status across multiple host machines
Summary(pl):	Schedule::Load - rozkadanie i badanie obcienia dla wielu maszyn
Name:		perl-Schedule-Load
Version:	2.102
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Proc-ProcessTable
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-Unix-Processors >= 1.7
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides useful utilities for load distribution and
status across multiple machines in a network. To just see what is up
in the network, see the rschedule or rtop, rloads or rhosts commands.

%description -l pl
Ten pakiet udostpnia przydatne narzdzia do rozkadania obcienia i
jego badania na wielu maszynach w sieci. Aby zobaczy co si dzieje w
sieci, wystarczy popatrze na polecenia rschedule, rtop, rloads i
rhosts.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

find -type f -perm +100 | xargs perl -pi -e 's,/usr/local/bin/perl,/usr/bin/perl,'

%if %{?_without_tests:0}%{!?_without_tests:1}
%{__make} test
killall slreportd || true
killall slchoosed || true
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_sitelib}/Schedule/*.pm
%{perl_sitelib}/Schedule/Load
%dir %{perl_sitelib}/auto/Schedule/Load
%dir %{perl_sitelib}/auto/Schedule/Load/Hosts
# empty autosplit.ix files
#%dir %{perl_sitelib}/auto/Schedule/Load/Hosts/Host
#%%{perl_sitelib}/auto/Schedule/Load/Hosts/Host/autosplit.ix
#%dir %{perl_sitelib}/auto/Schedule/Load/Hosts/Proc
#%%{perl_sitelib}/auto/Schedule/Load/Hosts/Proc/autosplit.ix
%{_bindir}/*
%{_mandir}/man?/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Schedule-Load.spec,v $
Revision 1.8.2.1  2003/03/13 00:58:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/28 10:08:31  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:38:05  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/28 15:48:08  ankry
- version 2.102, removed empty autosplit.ix

Revision 1.4  2002/09/18 21:31:32  ankry
- typo(s)

Revision 1.3  2002/09/18 21:04:57  ankry
- added autosplit.ix files
- release 2

Revision 1.2  2002/08/31 15:58:52  qboosh
- pl description

Revision 1.1  2002/08/31 09:51:39  radek
- new, STBR
